/*
 * Messages for OpenMoko
 * Copyright (C) 2007 Milko Krachounov <exabyte@3mhz.net>
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */

#include <gtk/gtk.h>
#include <glib/gi18n.h>

//#include <moko-stock.h>

/*
#include <dbus/dbus-glib.h>
#include <dbus/dbus-glib-bindings.h>



#include "moko-messages.h"

#define MESSAGES_NAMESPACE "org.openmoko.Messages"
#define DIALER_OBJECT "/org/openmoko/Messages"
*/

#include "messages-defines.h"
#include "messages-common.h"
#include "messages-list.h"
#include "messages-read.h"
#include "messages-write.h"


static void
messages_sms_status(gboolean sent)
{
	GtkWidget *dialog;	
		
	dialog = gtk_message_dialog_new(0, GTK_DIALOG_DESTROY_WITH_PARENT, GTK_MESSAGE_INFO, GTK_BUTTONS_OK, sent ? _("The SMS was succesfully sent.") : _("Sending of the SMS failed."));
	gtk_dialog_run(GTK_DIALOG(dialog));
	gtk_widget_destroy(dialog);
	
}

gboolean event_handler (const event_info *event, AppData *app_data)
{
	switch (event->type) {
		case EVENT_INCOMING_MESSAGE:
			if (app_data->current_folder && event->data.message.folder == message_list_get_folder(app_data))
				return list_add_message (&(event->data.message.info), app_data);
			break;
		case EVENT_OUTGOING_SMS_STATUS:
			messages_sms_status(event->data.sms_status.sent);
			break;
	}
	return TRUE;
}

int main (int argc, char **argv)
{
	GtkWidget *window, *notebook, *child;
	AppData app_data;

	init_app_data(&app_data);

	messages_access_init((EventHandler) event_handler, &app_data);
	
	gtk_init(&argc,&argv);
	window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	g_signal_connect (window, "delete-event", (GCallback) gtk_main_quit, NULL);

	gtk_window_set_title (GTK_WINDOW(window), _("Messages"));
	
	notebook = gtk_notebook_new ();

	child = messages_create_list_page(&app_data);
	notebook_add_page_with_icon (GTK_NOTEBOOK(notebook), child, "mail-send-receive", 0);

	gtk_notebook_set_tab_pos (GTK_NOTEBOOK(notebook), GTK_POS_BOTTOM);
	gtk_container_add (GTK_CONTAINER(window), notebook);

	gtk_widget_show_all (window);

	app_data.window = GTK_WINDOW(window);
	app_data.notebook = GTK_NOTEBOOK(notebook);
	
	gtk_main();
	return 0;
}

