/* 
 * Header Cell Renderer for libtinymail and GTK
 * Copyright (C) 2007 Milko Krachounov <exabyte@3mhz.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __MOKO_HEADER_CELL_RENDERER_H__
#define __MOKO_HEADER_CELL_RENDERER_H__
#include <gtk/gtkcellrenderer.h>



G_BEGIN_DECLS

#define MOKO_TYPE_HEADER_CELL_RENDERER			(moko_header_cell_renderer_get_type ())
#define MOKO_HEADER_CELL_RENDERER(obj)			(G_TYPE_CHECK_INSTANCE_CAST ((obj), MOKO_TYPE_HEADER_CELL_RENDERER, MokoHeaderCellRenderer))
#define MOKO_HEADER_CELL_RENDERER_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST ((klass), MOKO_TYPE_HEADER_CELL_RENDERER, MokoHeaderCellRendererClass))
#define MOKO_IS_HEADER_CELL_RENDERER(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), MOKO_TYPE_HEADER_CELL_RENDERER))
#define MOKO_IS_HEADER_CELL_RENDERER_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), MOKO_TYPE_HEADER_CELL_RENDERER))
#define MOKO_HEADER_CELL_RENDERER_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), MOKO_TYPE_HEADER_CELL_RENDERER, MokoHeaderCellRendererClass))

typedef struct _MokoHeaderCellRenderer		MokoHeaderCellRenderer;
typedef struct _MokoHeaderCellRendererClass	MokoHeaderCellRendererClass;

struct _MokoHeaderCellRenderer
{
	GtkCellRenderer cell_renderer;
};


struct _MokoHeaderCellRendererClass
{
	GtkCellRendererClass parent_class;
};

GType			moko_header_cell_renderer_get_type	(void);
GtkCellRenderer*	moko_header_cell_renderer_new		(void);


G_END_DECLS

#endif
