/* 
 * Folder Signal Emitter for libtinymail
 * Copyright (C) 2007 Milko Krachounov <exabyte@3mhz.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef __TNY_FOLDER_EMITTER_H__
#define __TNY_FOLDER_EMITTER_H__

#include <glib.h>
#include <glib-object.h>

#include <tny-folder-observer.h>


G_BEGIN_DECLS

#define TNY_TYPE_FOLDER_EMITTER		(tny_folder_emitter_get_type ())
#define TNY_FOLDER_EMITTER(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), TNY_TYPE_FOLDER_EMITTER, TnyFolderEmitter))
#define TNY_FOLDER_EMITTER_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), TNY_TYPE_FOLDER_EMITTER, TnyFolderEmitterClass))
#define TNY_IS_FOLDER_EMITTER(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), TNY_TYPE_FOLDER_EMITTER))
#define TNY_IS_FOLDER_EMITTER_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), TNY_TYPE_FOLDER_EMITTER))
#define TNY_FOLDER_EMITTER_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), TNY_TYPE_FOLDER_EMITTER, TnyFolderEmitterClass))

typedef struct _TnyFolderEmitter TnyFolderEmitter;
typedef struct _TnyFolderEmitterClass TnyFolderEmitterClass;

struct _TnyFolderEmitter
{
	GObject parent;
};

struct _TnyFolderEmitterClass 
{
	GObjectClass parent;

	/* signals */
	void	(*folder_changed)	(TnyFolderObserver *self,
					 TnyFolderChange *change);
	/* virtuals */
	void	(*update_func)		(TnyFolderObserver *self,
					 TnyFolderChange *change);
};


GType			tny_folder_emitter_get_type		(void);
TnyFolderObserver*	tny_folder_emitter_new			(void);

G_END_DECLS

#endif

