/* 
 * OpenMoko functions for libtinymail
 * Copyright (C) 2006-2007 Philip Van Hoof <pvanhoof@gnome.org>
 * Copyright (C) 2007 Milko Krachounov <exabyte@3mhz.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __TNY_OPENMOKO_DEVICE_H__
#define __TNY_OPENMOKO_DEVICE_H__


#include <glib.h>
#include <glib-object.h>

#include <tny-device.h>

G_BEGIN_DECLS

#define TNY_TYPE_OPENMOKO_DEVICE		(tny_openmoko_device_get_type ())
#define TNY_OPENMOKO_DEVICE(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), TNY_TYPE_OPENMOKO_DEVICE, TnyOpenMokoDevice))
#define TNY_OPENMOKO_DEVICE_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), TNY_TYPE_OPENMOKO_DEVICE, TnyOpenMokoDeviceClass))
#define TNY_IS_OPENMOKO_DEVICE(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), TNY_TYPE_OPENMOKO_DEVICE))
#define TNY_IS_OPENMOKO_DEVICE_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), TNY_TYPE_OPENMOKO_DEVICE))
#define TNY_OPENMOKO_DEVICE_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), TNY_TYPE_OPENMOKO_DEVICE, TnyOpenMokoDeviceClass))


typedef struct _TnyOpenMokoDevice	TnyOpenMokoDevice;
typedef struct _TnyOpenMokoDeviceClass	TnyOpenMokoDeviceClass;

struct _TnyOpenMokoDevice
{
	GObject parent;
};

struct _TnyOpenMokoDeviceClass 
{
	GObjectClass parent;
};

GType tny_openmoko_device_get_type (void);

TnyDevice* tny_openmoko_device_new (void);

G_END_DECLS

#endif

