/* 
 * OpenMoko functions for libtinymail
 * Copyright (C) 2006-2007 Philip Van Hoof <pvanhoof@gnome.org>
 * Copyright (C) 2007 Milko Krachounov <exabyte@3mhz.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef __TNY_OPENMOKO_PLATFORM_FACTORY_H__
#define __TNY_OPENMOKO_PLATFORM_FACTORY_H__

#include <glib.h>
#include <glib-object.h>

#include <tny-platform-factory.h>


G_BEGIN_DECLS

#define TNY_TYPE_OPENMOKO_PLATFORM_FACTORY		(tny_openmoko_platform_factory_get_type ())
#define TNY_OPENMOKO_PLATFORM_FACTORY(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), TNY_TYPE_OPENMOKO_PLATFORM_FACTORY, TnyOpenMokoPlatformFactory))
#define TNY_OPENMOKO_PLATFORM_FACTORY_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), TNY_TYPE_OPENMOKO_PLATFORM_FACTORY, TnyOpenMokoPlatformFactoryClass))
#define TNY_IS_OPENMOKO_PLATFORM_FACTORY(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), TNY_TYPE_OPENMOKO_PLATFORM_FACTORY))
#define TNY_IS_OPENMOKO_PLATFORM_FACTORY_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), TNY_TYPE_OPENMOKO_PLATFORM_FACTORY))
#define TNY_OPENMOKO_PLATFORM_FACTORY_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), TNY_TYPE_OPENMOKO_PLATFORM_FACTORY, TnyOpenMokoPlatformFactoryClass))

typedef struct _TnyOpenMokoPlatformFactory TnyOpenMokoPlatformFactory;
typedef struct _TnyOpenMokoPlatformFactoryClass TnyOpenMokoPlatformFactoryClass;

struct _TnyOpenMokoPlatformFactory
{
	GObject parent;
};

struct _TnyOpenMokoPlatformFactoryClass 
{
	GObjectClass parent;
};


GType			tny_openmoko_platform_factory_get_type		(void);
TnyPlatformFactory* 	tny_openmoko_platform_factory_get_instance	(void);

G_END_DECLS

#endif

