/* 
 * Attachment Display Widget for OpenMoko and libtinymail
 * Copyright (C) 2007 Milko Krachounov <exabyte@3mhz.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef __TNY_OPENMOKO_ATTACHMENT_VIEW_H__
#define __TNY_OPENMOKO_ATTACHMENT_VIEW_H__
#include <gtk/gtkexpander.h>
#include <tny-gtk-attach-list-model.h>

G_BEGIN_DECLS

#define TNY_TYPE_OPENMOKO_ATTACHMENT_VIEW		(tny_openmoko_attachment_view_get_type ())
#define TNY_OPENMOKO_ATTACHMENT_VIEW(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), TNY_TYPE_OPENMOKO_ATTACHMENT_VIEW, TnyOpenMokoAttachmentView))
#define TNY_OPENMOKO_ATTACHMENT_VIEW_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), TNY_TYPE_OPENMOKO_ATTACHMENT_VIEW, TnyOpenMokoAttachmentViewClass))
#define TNY_IS_OPENMOKO_ATTACHMENT_VIEW(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), TNY_TYPE_OPENMOKO_ATTACHMENT_VIEW))
#define TNY_IS_OPENMOKO_ATTACHMENT_VIEW_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), TNY_TYPE_OPENMOKO_ATTACHMENT_VIEW))
#define TNY_OPENMOKO_ATTACHMENT_VIEW_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), TNY_TYPE_OPENMOKO_ATTACHMENT_VIEW, TnyOpenMokoAttachmentViewClass))


typedef struct _TnyOpenMokoAttachmentView	TnyOpenMokoAttachmentView;
typedef struct _TnyOpenMokoAttachmentViewClass	TnyOpenMokoAttachmentViewClass;

struct _TnyOpenMokoAttachmentView
{
	GtkExpander expander;

};


struct _TnyOpenMokoAttachmentViewClass
{
	GtkExpanderClass parent_class;


	void	(*save_request)		(TnyOpenMokoAttachmentView *self,
					 TnyMimePart *attachment);
	void	(*delete_request)	(TnyOpenMokoAttachmentView *self,
					 TnyMimePart *attachment);
};

GType		tny_openmoko_attachment_view_get_type		(void);
GtkWidget*	tny_openmoko_attachment_view_new		();
void		tny_openmoko_attachment_view_set_model		(TnyOpenMokoAttachmentView *attachment_view,
								 TnyGtkAttachListModel *model);
GtkTreeModel*	tny_openmoko_attachment_view_get_model		(TnyOpenMokoAttachmentView *attachment_view);

G_END_DECLS

#endif
