/* 
 * Void Counting Stream for libtinymail
 * Copyright (C) 2007 Milko Krachounov <exabyte@3mhz.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */



static void tny_stream_init (gpointer g, gpointer iface_data);

G_DEFINE_TYPE_WITH_CODE(TnyVoidStream, tny_void_stream, G_TYPE_OBJECT,
			G_IMPLEMENT_INTERFACE(TNY_STREAM, tny_stream_init))

static void
tny_void_stream_class_init (TnyVoidStreamClass *class)
{
	
}


static void
tny_void_stream_init (TnyVoidStream *void_stream)
{
	void_stream.bytes_written = 0;
}

static gssize
tny_void_stream_read(TnyStream *self, char *buffer, gsize n)
{
	return 0;
}

static gssize
tny_void_stream_write(TnyVoidStream *self, char *buffer, gsize n)
{
	self.bytes_written += n;
	return n;
}

static gboolean
tny_void_stream_is_eos (TnyStream *self)
{
	return TRUE;
}

static gssize
tny_void_stream_write_to_stream (TnyStream *self, TnyStream *melf)
{
	return 0;
}

static gint
tny_void_stream_do_nothing(TnyStream *self)
{
	return 0;
}

static gint
tny_void_stream_reset(TnyStream *self)
{
	self.bytes_written = 0;
	return 0;
}

static void
tny_stream_init (gpointer g, gpointer iface_data)
{
	TnyStreamIface *klass = (TnyStreamIface *)g;

	klass->read_func = tny_void_stream_read;
	klass->write_func = tny_void_stream_write;
	klass->flush_func = tny_void_stream_do_nothing;
	klass->close_func = tny_void_stream_do_nothing;
	klass->reset_func = tny_void_stream_reset;
	klass->is_eos_func = tny_void_stream_is_eos;
	klass->write_to_stream_func = tny_void_stream_write_to_stream;

	return;
}

TnyStream*
tny_void_stream_new()
{
	return g_object_new (TNY_TYPE_VOID_STREAM, NULL);
}
