/* 
 * Void Counting Stream for libtinymail
 * Copyright (C) 2007 Milko Krachounov <exabyte@3mhz.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef __TNY_VOID_STREAM_H__
#define __TNY_VOID_STREAM_H__

#include <glib.h>
#include <glib-object.h>

#include <tny-stream.h>


G_BEGIN_DECLS

#define TNY_TYPE_VOID_STREAM		(tny_void_stream_get_type ())
#define TNY_VOID_STREAM(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), TNY_TYPE_VOID_STREAM, TnyVoidStream))
#define TNY_VOID_STREAM_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), TNY_TYPE_VOID_STREAM, TnyVoidStreamClass))
#define TNY_IS_VOID_STREAM(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), TNY_TYPE_VOID_STREAM))
#define TNY_IS_VOID_STREAM_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), TNY_TYPE_VOID_STREAM))
#define TNY_VOID_STREAM_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), TNY_TYPE_VOID_STREAM, TnyVoidStreamClass))

typedef struct _TnyVoidStream TnyVoidStream;
typedef struct _TnyVoidStreamClass TnyVoidStreamClass;

struct _TnyVoidStream
{
	GObject parent;
	gssize bytes_written;
};

struct _TnyVoidStreamClass 
{
	GObjectClass parent;
};


GType			tny_void_stream_get_type		(void);
TnyStream* 		tny_void_stream_new			(void);

G_END_DECLS

#endif

