/*
 * Mail for OpenMoko
 * Copyright (C) 2007 Milko Krachounov <exabyte@3mhz.net>
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */

#include <gtk/gtk.h>
#include <glib/gi18n.h>

//#include <moko-stock.h>

/*
#include <dbus/dbus-glib.h>
#include <dbus/dbus-glib-bindings.h>



#include "moko-messages.h"

#define MESSAGES_NAMESPACE "org.openmoko.Messages"
#define DIALER_OBJECT "/org/openmoko/Messages"
*/


#include <tny-simple-list.h>
#include "mail-defines.h"
#include "mail-common.h"
#include "mail-list.h"
#include "mail-read.h"
#include "mail-write.h"


int main (int argc, char **argv)
{
	GtkWidget *window, *notebook, *child;
	AppData app_data;

	omail_ui_image_path = g_build_path("/", PKGDATADIR, NULL);

	init_app_data(&app_data);

	/* Init the global variables */
	/* We create a hash table of folder observers, the keys are folders, which should
	   be referenced on adding, the observer should have a weak reference, that removes
	   it from the hash table. The observer is stored in a struct freed by g_free. */
	app_data.observers = g_hash_table_new_full (NULL, NULL, 
					            (GDestroyNotify) g_object_unref, (GDestroyNotify) g_free);

	if (!g_thread_supported ()) 
		g_thread_init (NULL);
	gdk_threads_init ();

	gdk_threads_enter ();
	
	gtk_init(&argc,&argv);

	messages_access_init(&app_data);


	window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	g_signal_connect (window, "delete-event", (GCallback) gtk_main_quit, NULL);

	gtk_window_set_title (GTK_WINDOW(window), _("Mail"));
	
	notebook = gtk_notebook_new ();

	gtk_widget_show(notebook);

	child = messages_create_list_page(&app_data);
	notebook_add_page_with_icon (GTK_NOTEBOOK(notebook), child, "mail-send-receive", 0);

	gtk_notebook_set_tab_pos (GTK_NOTEBOOK(notebook), GTK_POS_BOTTOM);
	gtk_container_add (GTK_CONTAINER(window), notebook);

	gtk_widget_show (window);

	app_data.window = GTK_WINDOW(window);
	app_data.notebook = GTK_NOTEBOOK(notebook);
	
	gtk_main();

	gdk_threads_leave ();

	g_free(omail_ui_image_path);


	return 0;
}

